| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Static Protected Member Functions | Properties | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
IG.Forms.TestControl Class Reference

Test control. More...

Inheritance diagram for IG.Forms.TestControl:
[legend]
Collaboration diagram for IG.Forms.TestControl:
[legend]

## Public Member Functions
| TestControl ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Static Protected Member Functions
static int | GetNextId ()
| Returns another ID that is unique for objects of the containing class its and derived classes. More...

## Properties
string | Title`[get, set]`
int | Id`[get]`
| Unique ID for objects of the currnet and derived classes. More...

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
string | _title = null
int | _id = GetNextId()
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Label | lblTitle

## Static Private Attributes
static int | _nextId = 0

## Detailed Description

Test control.

This is a dummy control used for various tests such as window positioning.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG.Forms.TestControl.TestControl | ( |  | ) |
| inline

## Member Function Documentation

static int IG.Forms.TestControl.GetNextId | ( |  | ) |
| inline static protected

Returns another ID that is unique for objects of the containing class its and derived classes.

References IG.Lib.Util.LockGlobal.

override void IG.Forms.TestControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.TestControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

string IG.Forms.TestControl._title = null
| private

int IG.Forms.TestControl._nextId = 0
| static private

int IG.Forms.TestControl._id = GetNextId()
| private

System.ComponentModel.IContainer IG.Forms.TestControl.components = null
| private

Required designer variable.

System.Windows.Forms.Label IG.Forms.TestControl.lblTitle
| private

## Property Documentation

string IG.Forms.TestControl.Title
| get set

int IG.Forms.TestControl.Id
| get

Unique ID for objects of the currnet and derived classes.

The documentation for this class was generated from the following files:

- igforms/TestControl.cs
- igforms/TestControl.Designer.cs